Bug 701774 - alert data source trying to convert traits to doubles
alert data source trying to convert traits to doubles
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0
All All
urgent Severity high (vote)
: ---
: ---
Assigned To: John Mazzitelli
Mike Foley
:
Depends On:
Blocks: jon3 rhq401
  Show dependency treegraph
 
Reported: 2011-05-03 16:03 EDT by John Mazzitelli
Modified: 2013-09-02 03:23 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 03:23:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2011-05-03 16:03:50 EDT
I had an alert that triggered when a trait changed (in my case, the alert was on RHQ Agent resource, when the SIGAR version trait changed).

When the alert triggers, you cannot see the alert data because the alert data source is trying to convert the trait string (which is probably not a raw number) to a Double:

java.lang.NumberFormatException:For input string: "Version=1.6.5.132 (05/20/2010 04:04 AM); Native version=1.6.5.132 (05/20/2010 04:04 AM)"
--- STACK TRACE FOLLOWS ---
For input string: "Version=1.6.5.132 (05/20/2010 04:04 AM); Native version=1.6.5.132 (05/20/2010 04:04 AM)"
    at Unknown.com_google_gwt_core_client_impl_StackTraceCreator$CollectorMoz_collect__Lcom_google_gwt_core_client_JsArrayString_2(Unknown source:0)
    at Unknown.com_google_gwt_core_client_impl_StackTraceCreator_createStackTrace__Lcom_google_gwt_core_client_JsArrayString_2(Unknown source:0)
    at Unknown.com_google_gwt_core_client_impl_StackTraceCreator$Collector_fillInStackTrace__Ljava_lang_Throwable_2V(Unknown source:0)
    at Unknown.com_google_gwt_core_client_impl_StackTraceCreator_fillInStackTrace__Ljava_lang_Throwable_2V(Unknown source:0)
    at Unknown.java_lang_Throwable_fillInStackTrace__Ljava_lang_Throwable_2(Unknown source:0)
    at Unknown.java_lang_Throwable_$$init__Ljava_lang_Throwable_2V(Unknown source:0)
    at Unknown.java_lang_Throwable_$Throwable__Ljava_lang_Throwable_2Ljava_lang_String_2Ljava_lang_Throwable_2(Unknown source:0)
    at Unknown.java_lang_Exception_$Exception__Ljava_lang_Exception_2Ljava_lang_String_2Ljava_lang_Exception_2(Unknown source:0)
    at Unknown.java_lang_RuntimeException_$RuntimeException__Ljava_lang_RuntimeException_2Ljava_lang_String_2Ljava_lang_RuntimeException_2(Unknown source:0)
    at Unknown.java_lang_IllegalArgumentException_$IllegalArgumentException__Ljava_lang_IllegalArgumentException_2Ljava_lang_String_2Ljava_lang_IllegalArgumentException_2(Unknown source:0)
    at Unknown.java_lang_NumberFormatException_$NumberFormatException__Ljava_lang_NumberFormatException_2Ljava_lang_String_2Ljava_lang_NumberFormatException_2(Unknown source:0)
    at Unknown.java_lang_NumberFormatException_forInputString__Ljava_lang_String_2Ljava_lang_NumberFormatException_2(Unknown source:0)
    at Unknown.java_lang_Number__1_1parseAndValidateDouble__Ljava_lang_String_2D(Unknown source:0)
    at Unknown.java_lang_Double_parseDouble__Ljava_lang_String_2D(Unknown source:0)
    at Unknown.java_lang_Double_valueOf__Ljava_lang_String_2Ljava_lang_Double_2(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_alert_AlertDataSource_convert__Lorg_rhq_core_domain_alert_Alert_2Lcom_smartgwt_client_widgets_grid_ListGridRecord_2(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_alert_AlertDataSource_$copyValues__Lorg_rhq_enterprise_gui_coregui_client_alert_AlertDataSource_2Lorg_rhq_core_domain_alert_Alert_2Lcom_smartgwt_client_widgets_grid_ListGridRecord_2(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_alert_AlertDataSource_copyValues__Ljava_lang_Object_2Lcom_smartgwt_client_widgets_grid_ListGridRecord_2(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_util_RPCDataSource_copyValues__Ljava_lang_Object_2ZLcom_smartgwt_client_widgets_grid_ListGridRecord_2(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_util_RPCDataSource_$buildRecords__Lorg_rhq_enterprise_gui_coregui_client_util_RPCDataSource_2Ljava_util_Collection_2Z_3Lcom_smartgwt_client_widgets_grid_ListGridRecord_2(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_util_RPCDataSource_$buildRecords__Lorg_rhq_enterprise_gui_coregui_client_util_RPCDataSource_2Ljava_util_Collection_2_3Lcom_smartgwt_client_widgets_grid_ListGridRecord_2(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_util_RPCDataSource_buildRecords__Ljava_util_Collection_2_3Lcom_smartgwt_client_widgets_grid_ListGridRecord_2(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_alert_AlertDataSource$8_onTypesLoaded__Ljava_util_Map_2V(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_inventory_resource_type_ResourceTypeRepository_$getResourceTypes__Lorg_rhq_enterprise_gui_coregui_client_inventory_resource_type_ResourceTypeRepository_2_3Ljava_lang_Integer_2Ljava_util_EnumSet_2Lorg_rhq_enterprise_gui_coregui_client_inventory_resource_type_ResourceTypeRepository$TypesLoadedCallback_2V(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_inventory_resource_type_ResourceTypeRepository_$getResourceTypes__Lorg_rhq_enterprise_gui_coregui_client_inventory_resource_type_ResourceTypeRepository_2_3Ljava_lang_Integer_2Lorg_rhq_enterprise_gui_coregui_client_inventory_resource_type_ResourceTypeRepository$TypesLoadedCallback_2V(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_alert_AlertDataSource_$dataRetrieved__Lorg_rhq_enterprise_gui_coregui_client_alert_AlertDataSource_2Lorg_rhq_core_domain_util_PageList_2Lcom_smartgwt_client_data_DSResponse_2Lcom_smartgwt_client_data_DSRequest_2V(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_dashboard_portlets_recent_alerts_AbstractRecentAlertsPortlet$AlertsPortletDataSource_dataRetrieved__Lorg_rhq_core_domain_util_PageList_2Lcom_smartgwt_client_data_DSResponse_2Lcom_smartgwt_client_data_DSRequest_2V(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_alert_AlertDataSource$7_$onSuccess__Lorg_rhq_enterprise_gui_coregui_client_alert_AlertDataSource$7_2Lorg_rhq_core_domain_util_PageList_2V(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_alert_AlertDataSource$7_onSuccess__Ljava_lang_Object_2V(Unknown source:0)
Comment 1 John Mazzitelli 2011-05-03 16:11:31 EDT
master commit: 3a5aab6588c68bab424a0269942aa11e2a602b92
Comment 2 John Mazzitelli 2011-05-03 16:16:00 EDT
setting to high sev/priority. if you have any alerts that triggered on trait changes, you can't view any alerts because the alert data source blows up thus leaving the alert table view with nothing to show.
Comment 3 Charles Crouch 2011-05-09 15:25:08 EDT
This needs to be tested against both the rhq401 release and the jon3 (master branch) work
Comment 4 Charles Crouch 2011-05-09 15:26:20 EDT
Mazz also fixed this in the release-4.0.0 branch for rhq401:

committer	John Mazzitelli <mazz@redhat.com>	
	Wed, 4 May 2011 13:44:44 +0000 (09:44 -0400)
commit	f9c0b1515c047fa0e84b3da2c87c3fc2ca368b01
Comment 5 Mike Foley 2011-05-09 15:29:32 EDT
verified rhq master branch.
Comment 6 John Mazzitelli 2011-05-10 12:41:07 EDT
confirmed this is in release-4.0.0 branch - f9c0b1515c047fa0e84b3da2c87c3fc2ca368b01
Comment 7 Mike Foley 2011-05-12 09:24:33 EDT
verified rhq 4.0.1 as follows.  created an alert on trait change of rhq-agent on change or restart reason.  created an operation that restarted the agent and added a new restart reason.  observed the agent restart and verified in operation history.  reviewed server log for no errors.
Comment 8 Heiko W. Rupp 2013-09-02 03:23:58 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.